Data - Retrieve Classes
Načte seznam tříd a jejich vlastností.
POST http://<Servername>/OperationsManager/data/scomClasses
Text požadavku
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Typ | Description |
|---|---|---|
| criteria |
string |
Určete kritéria pro vyhledávání |
Odpovědi
| Name | Typ | Description |
|---|---|---|
| 200 OK |
OK. Úspěšně načten seznam tříd a jejich vlastností. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Příklady
RetrieveClasses
Ukázkový požadavek
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
Ukázková odpověď
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
Definice
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Typ | Description |
|---|---|---|
| className |
string |
Název třídy |
| displayName |
string |
Zobrazovaný název |
| fullName |
string |
Jméno a příjmení |
| id |
string |
Průkaz totožnosti |
| path |
string |
Cesta |
ScopeDataResponse
| Name | Typ | Description |
|---|---|---|
| scopeDatas |
Údaje o rozsahu |